play.db.helper

## Class SqlUnion

- java.lang.Object
- - play.db.helper.SqlQuery
  - - play.db.helper.SqlUnion

    public class SqlUnion
    extends SqlQuery

### Nested Class Summary

### Nested classes/interfaces inherited from class play.db.helper.SqlQuery

`SqlQuery.Concat`

### Field Summary

### Fields inherited from class play.db.helper.SqlQuery

`params`

### Constructor Summary

Constructors
Constructor and Description
`SqlUnion()`
`SqlUnion(SqlUnion src)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SqlUnion` `limit(long lines)`
`SqlUnion` `limit(long offset, long lines)`
`SqlUnion` `orderBy(java.lang.String... expr)`
`SqlUnion` `param(java.lang.Object obj)`
`SqlUnion` `params(java.lang.Object... objs)`
`java.lang.String` `toString()`
`SqlUnion` `union(SqlSelect... expr)`
`SqlUnion` `unionAll(SqlSelect... expr)`

### Methods inherited from class play.db.helper.SqlQuery

`getParams, inlineParam, paramCurrentIndex, pmark, pmark, quote, whereIn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SqlUnion

    public SqlUnion()

#### SqlUnion

    public SqlUnion(SqlUnion src)

### Method Detail

#### param

    public SqlUnion param(java.lang.Object obj)

Overrides:
  `param` in class `SqlQuery`

#### params

    public SqlUnion params(java.lang.Object... objs)

Overrides:
  `params` in class `SqlQuery`

#### orderBy

    public SqlUnion orderBy(java.lang.String... expr)

#### limit

    public SqlUnion limit(long lines)

#### limit

    public SqlUnion limit(long offset,
                          long lines)

#### union

    public SqlUnion union(SqlSelect... expr)

#### unionAll

    public SqlUnion unionAll(SqlSelect... expr)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`